List orders
curl --request GET \
--url https://api.parceltracer.com/v1/external/orders/ \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.parceltracer.com/v1/external/orders/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.parceltracer.com/v1/external/orders/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
[
{
"order_id": "11",
"reference_id": "",
"is_exchange": "false",
"workflow": "STANDARD",
"tracking_link": "https://prod.parceltracer.app/tracking/xxxxx-yyyyyyy",
"is_critical": "false",
"merchant_location": 1,
"cod": [
[
"USD",
"20.00"
]
],
"number_of_packages": 1,
"description": "",
"notes": "",
"return_reason": "",
"delivery_state": "CREATED",
"payment_state": "UNPAID",
"merchant_invoice": "null",
"customer": {
"id": 6635,
"name": "Joe",
"phone_number": "+9613123456",
"secondary_phone_number": "",
"email": "joe@email.com"
},
"customer_location": {
"id": 6635,
"area": {
"id": 1,
"name_en": "Aaiyat",
"name_ar": "عيات",
"lat": 34.53534,
"long": 36.19682,
"district": "Akkar",
"maps_link": "http://maps.google.com/maps?q=34.53534,36.19682"
},
"directions": ""
}
},
{
"order_id": "17",
"reference_id": "",
"is_exchange": "false",
"workflow": "STANDARD",
"tracking_link": "https://prod.parceltracer.app/tracking/xxxxx-yyyyyyy",
"is_critical": "false",
"merchant_location": 1,
"cod": [
[
"USD",
"20.00"
]
],
"number_of_packages": 1,
"description": "",
"notes": "",
"return_reason": "",
"delivery_state": "CREATED",
"payment_state": "UNPAID",
"merchant_invoice": "null",
"customer": {
"id": 6635,
"name": "Sara",
"phone_number": "+9613853335",
"secondary_phone_number": "",
"email": ""
},
"customer_location": {
"id": 6635,
"area": {
"id": 2,
"name_en": "El Hamra",
"name_ar": "حمرا",
"lat": 33.89631,
"long": 35.48196,
"district": "Beirut",
"maps_link": "http://maps.google.com/maps?q=33.89631,35.48196"
},
"directions": ""
}
}
]
]
}Orders
List orders
Retrieve a paginated list of orders.
GET
/
orders
/
List orders
Authorizations
Query Parameters
A page number within the paginated result set.
Number of results to return per page.
⌘I
